---
title: WebGLRenderingContext.activeTexture()
slug: Web/API/WebGLRenderingContext/activeTexture
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.activeTexture()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies which texture unit to make active.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>void gl</em>.activeTexture</var><var>(texture);</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>texture</code></dt>
 <dd>The texture unit to make active. The value is a <code>gl.TEXTURE<em>I</em></code> where <em>I</em> is within the range from 0 to <code>gl.MAX_COMBINED_TEXTURE_IMAGE_UNITS - 1</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>If <em>texture</em> is not one of <code>gl.TEXTURE<em>I</em></code>, where <em>I</em> is within the range from 0 to <code>gl.MAX_COMBINED_TEXTURE_IMAGE_UNITS - 1</code>, a <code>gl.INVALID_ENUM</code> error is thrown.</p>

<h2 id="Examples">Examples</h2>

<p>The following call selects <code>gl.TEXTURE1</code> as the current texture. Subsequent calls that modify the texture state will affect this texture.</p>

<pre class="brush: js">gl.activeTexture(gl.TEXTURE1);
</pre>

<p>The number of texture units is implementation dependent, you can get this number with the help of the <code>MAX_COMBINED_TEXTURE_IMAGE_UNITS</code> constant. It is, per specification, at least 8.</p>

<pre class="brush: js">gl.getParameter(gl.MAX_COMBINED_TEXTURE_IMAGE_UNITS);
</pre>

<p>To get the active texture, query the <code>ACTIVE_TEXTURE</code> constant.</p>

<pre class="brush: js">gl.activeTexture(gl.TEXTURE0);
gl.getParameter(gl.ACTIVE_TEXTURE);
// returns "33984" (0x84C0, gl.TEXTURE0 enum value)
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "activeTexture")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glActiveTexture.xml", "glActiveTexture")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.activeTexture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getParameter()")}}</li>
</ul>
